import torch.nn as nn
from core.networks.mlp import MLP


class DistillationNetwork(nn.Module):
    def __init__(self, observation_dim, output_dim, layers_dim):
        super(DistillationNetwork, self).__init__()
        self.core_mlp = MLP(observation_dim, output_dim, layers_dim)

    def forward(self, x):
        x = self.core_mlp(x)
        return x